Перейти к содержимому

Детали продажи

GET
/v2/order/{id}
curl --request GET \
--url https://api-admin.billz.ai/v2/order/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Коды ошибок: 400 — ошибка валидации входных данных; 404 — объект не найден; 401, 403, 429, 500 — общие для всех методов. Форматы тела и семантика — Коды ответов и ошибки.

id
required
string format: uuid

UUID продажи/обмена/черновика; невалидный -> 400

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Идентификатор платформы. Для интеграций используется статичное значение.

Успешный ответ

Media typeapplication/json
object
id

Id заказа

string
parent_id

Родительский заказ

string
company_id

Компания

string
order_number

Номер заказа

string
order_status

Статус заказа

string
order_detail

Включает order_items и order_payments

object
id
string
order_id
string
customer
object
customer_type
string
user_id
string
user
object
id
string
name
string
first_name
string
last_name
string
cashbox_name
string
cashbox_id
string
cashbox_history_id
string
shift_id
integer
shop_id
string
shop
object
id
string
name
string
total_price
number
has_discount
boolean
total_products_measurement_value
number
total_sets_measurement_value
number
total_services_measurement_value
number
total_returned_measurement_value
number
version_number
integer
comment
string
created_at
string
created_at_utc
string
order_items
Array<object>
object
id
string
sellers
Array<object>
nullable
object
product
object
id
string
name
string
base_name
string
barcode
string
additional_barcodes
Array<object>
object
sku
string
category_name
string
brand_name
string
category_id
string
brand_id
string
main_image_url
string
main_image
string
retail_price
number
supply_price
number
measurement_unit
object
id
string
name
string
company_id
string
short_name
string
precision
string
is_default
boolean
product_type_id
string
categories
Array<object>
nullable
object
shop_measurement_values
Array<object>
nullable
object
shop_id
string
total_active_measurement_value
number
total_inactive_measurement_value
number
shop_prices
Array<object>
object
shop_id
string
retail_price
number
supply_price
number
wholesale_price
number
min_price
number
max_price
number
min_supply_price
number
max_supply_price
number
custom_fields
Array<object>
nullable
object
set_products
Array<object>
nullable
object
free_price
boolean
amount
number
gift_card_id
integer
gift_card_use_type
string
gift_status
string
shop_free_prices
Array<object>
nullable
object
product_id
string
product_type_id
string
product_variant_id
string
name
string
sku
string
barcode
string
retail_price
number
supply_price
number
total_price
number
delta
integer
price
number
sale_price
number
sale_price_without_rounding
number
rounding_applied
boolean
rounding_price
number
discount_value
integer
discount_unit
string
discount_amount
integer
discount_percent
integer
measurement_value
number
returned_measurement_value
number
measurement_type
string
sequence_number
integer
is_returned
boolean
has_manual_discount
boolean
promo_id
string
promo_ids
Array<string>
nullable
promo_shorts
Array<object>
nullable
object
used_wholesale_price
boolean
return_days_with_discount
integer
free_price
boolean
order_detail_id
string
marking_codes
Array<string>
nullable
marking_code_infos
Array<object>
nullable
object
order_product_id
integer
sale_order_item_id
string
with_cashback
number
returned_cashback
number
loyalty_balance_income
number
loyalty_balance_outcome
number
loyalty_payment
integer
not_loyalty_payment
integer
gift_card_payment
integer
is_authorized
boolean
has_certificate
boolean
has_voucher
boolean
promo_codes
Array<string>
nullable
without_cashback
boolean
user_has_auth_role
boolean
offline_order_validation_status
integer
applied_on_cart
boolean
auth_client_cashback_withdrawal
boolean
has_payment_token
boolean
payment_token
string
rounding_operations
Array<object>
object
order_type

Тип заказа

string
created_at

Дата создания

string
deleted_at

Дата удаления (epoch)

integer format: int64
created_at_utc

Дата создания UTC

string
future_time

Время отложки

string
debt

Долг

string
nullable
customer_id

Клиент

string
parent_order_debt

Долг родительского заказа

string
nullable
deleted

Признак удаления

boolean
deleted_by_user_id

Кто удалил

string
deleted_by_user_name

Имя удалившего

string
webkassa_log_qty

Кол-во логов Webkassa

integer format: int32
epos_log_qty

Кол-во логов EPOS

integer format: int32
epos_logs

Фискальные логи

Array<string>
nullable
finished_at

Дата завершения

string
display_finished_at

Отображаемая дата завершения

string
sold_at

Дата продажи

string
display_sold_at

Отображаемая дата продажи

string
display_deleted_at

Отображаемая дата удаления

string
order_debt_payments

Платежи по долгу

Array<string>
nullable
park_status

Статус парковки

string
exchange_disabled

Обмен отключён; выставляется в true, если у родительского заказа есть оплата Kaspi

boolean
total_remaining_debt_in_chain

Остаток долга по цепочке

number format: double
total_remaining_softpos_payment

Остаток SoftPOS-оплаты

number format: double
updated_at

Дата обновления

string
has_insurance

Есть страховка

boolean
insurance

{id, order_number, items[], payments[], created_at, sold_at}

string
nullable
is_calculated

Признак пересчитанности

boolean
Examplegenerated
{
"id": "example",
"parent_id": "example",
"company_id": "example",
"order_number": "example",
"order_status": "example",
"order_detail": {
"id": "example",
"order_id": "example",
"customer": {
"customer_type": "example"
},
"user_id": "example",
"user": {
"id": "example",
"name": "example",
"first_name": "example",
"last_name": "example"
},
"cashbox_name": "example",
"cashbox_id": "example",
"cashbox_history_id": "example",
"shift_id": 1,
"shop_id": "example",
"shop": {
"id": "example",
"name": "example"
},
"total_price": 1,
"has_discount": true,
"total_products_measurement_value": 1,
"total_sets_measurement_value": 1,
"total_services_measurement_value": 1,
"total_returned_measurement_value": 1,
"version_number": 1,
"comment": "example",
"created_at": "example",
"created_at_utc": "example",
"order_items": [
{
"id": "example",
"sellers": [
{}
],
"product": {
"id": "example",
"name": "example",
"base_name": "example",
"barcode": "example",
"additional_barcodes": [
{}
],
"sku": "example",
"category_name": "example",
"brand_name": "example",
"category_id": "example",
"brand_id": "example",
"main_image_url": "example",
"main_image": "example",
"retail_price": 1,
"supply_price": 1,
"measurement_unit": {
"id": "example",
"name": "example",
"company_id": "example",
"short_name": "example",
"precision": "example",
"is_default": true
},
"product_type_id": "example",
"categories": [
{}
],
"shop_measurement_values": [
{
"shop_id": "example",
"total_active_measurement_value": 1,
"total_inactive_measurement_value": 1
}
],
"shop_prices": [
{
"shop_id": "example",
"retail_price": 1,
"supply_price": 1,
"wholesale_price": 1,
"min_price": 1,
"max_price": 1,
"min_supply_price": 1,
"max_supply_price": 1
}
],
"custom_fields": [
{}
],
"set_products": [
{}
],
"free_price": true,
"amount": 1,
"gift_card_id": 1,
"gift_card_use_type": "example",
"gift_status": "example",
"shop_free_prices": [
{}
]
},
"product_id": "example",
"product_type_id": "example",
"product_variant_id": "example",
"name": "example",
"sku": "example",
"barcode": "example",
"retail_price": 1,
"supply_price": 1,
"total_price": 1,
"delta": 1,
"price": 1,
"sale_price": 1,
"sale_price_without_rounding": 1,
"rounding_applied": true,
"rounding_price": 1,
"discount_value": 1,
"discount_unit": "example",
"discount_amount": 1,
"discount_percent": 1,
"measurement_value": 1,
"returned_measurement_value": 1,
"measurement_type": "example",
"sequence_number": 1,
"is_returned": true,
"has_manual_discount": true,
"promo_id": "example",
"promo_ids": [
"example"
],
"promo_shorts": [
{}
],
"used_wholesale_price": true,
"return_days_with_discount": 1,
"free_price": true,
"order_detail_id": "example",
"marking_codes": [
"example"
],
"marking_code_infos": [
{}
],
"order_product_id": 1,
"sale_order_item_id": "example"
}
],
"with_cashback": 1,
"returned_cashback": 1,
"loyalty_balance_income": 1,
"loyalty_balance_outcome": 1,
"loyalty_payment": 1,
"not_loyalty_payment": 1,
"gift_card_payment": 1,
"is_authorized": true,
"has_certificate": true,
"has_voucher": true,
"promo_codes": [
"example"
],
"without_cashback": true,
"user_has_auth_role": true,
"offline_order_validation_status": 1,
"applied_on_cart": true,
"auth_client_cashback_withdrawal": true,
"has_payment_token": true,
"payment_token": "example",
"rounding_operations": [
{}
]
},
"order_type": "example",
"created_at": "example",
"deleted_at": 1,
"created_at_utc": "example",
"future_time": "example",
"debt": "example",
"customer_id": "example",
"parent_order_debt": "example",
"deleted": true,
"deleted_by_user_id": "example",
"deleted_by_user_name": "example",
"webkassa_log_qty": 1,
"epos_log_qty": 1,
"epos_logs": [
"example"
],
"finished_at": "example",
"display_finished_at": "example",
"sold_at": "example",
"display_sold_at": "example",
"display_deleted_at": "example",
"order_debt_payments": [
"example"
],
"park_status": "example",
"exchange_disabled": true,
"total_remaining_debt_in_chain": 1,
"total_remaining_softpos_payment": 1,
"updated_at": "example",
"has_insurance": true,
"insurance": "example",
"is_calculated": true
}